org.python.modules.itertools

## Class itertools

- java.lang.Object
- - org.python.modules.itertools.itertools

- All Implemented Interfaces:
    ClassDictInit

      public class itertools
      extends java.lang.Object
      implements ClassDictInit

  Functional tools for creating and using iterators. Java implementation of the CPython module itertools.
  Since:
    2.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyString` | `__doc__`
    `static PyString` | `__doc__tee`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `itertools()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)`
    `static PyTuple` | `tee(PyObject iterable)` Create a pair of iterators, each of which is effectively a copy of iterable.
    `static PyTuple` | `tee(PyObject iterable, int n)` Create a tuple of iterators, each of which is effectively a copy of iterable.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __doc__

          public static final PyString __doc__

    - #### __doc__tee

          public static PyString __doc__tee

  - ### Constructor Detail

    - #### itertools

          public itertools()

  - ### Method Detail

    - #### classDictInit

          public static void classDictInit(PyObject dict)

    - #### tee

          public static PyTuple tee(PyObject iterable,
                                    int n)

      Create a tuple of iterators, each of which is effectively a copy of iterable.

    - #### tee

          public static PyTuple tee(PyObject iterable)

      Create a pair of iterators, each of which is effectively a copy of iterable.

Jython homepage